Foreman - Bug #18190

saving a host called "news.example.com™ fails
01/21/2017 05:31 PM - Tobias Knipping

Status: New
Priority: Normal
Assignee:

Category: Host creation

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Foreman-Version: 1.13.3, Debian Jessie 8.7, Installed via foreman-installer

| have a host called "news.example.com” when i click "Edit", it opens as usual
"https://foreman.example.com/hosts/news.example.com/edit".
Clicking save renders an error: (from the logs)

2017-01-21T23:29:08 4ec4b48a [app] [I] Started PATCH "/hostss.example.com/edit" for 10.242.2.2 at 2017-01-21 23:29:08 +0100

2017-01-21T23:29:08 4ec4b48a [app] [F] | ActionController::RoutingError (No route lib/middleware/tagged_logging.rb:18:in

matches [PATCH] “call'
"/hostss.example.com/edit"):

it seems, that there happens a string replace for "/new" (because of /hosts(..)s.example.com)

if you need any more Information, i am glad to help!

Related issues:
Related to Foreman - Bug #11761: Cloning of hostgroup redirects to host creation Closed

09/10/2015

History

#1 - 01/23/2017 05:22 AM - Dominic Cleal
- Related to Bug #11761: Cloning of hostgroup redirects to host creation added

#2 - 01/23/2017 05:23 AM - Dominic Cleal

- Category set to Host creation

#11761 appears to have relaxed the regexp in submit_with_all_params(), it no longer has an end anchor.
https://projects.theforeman.org/issues/11761
http://www.tcpdf.org

